Loading...
Searching...
No Matches
itkMultiMetricMultiResolutionImageRegistrationMethod.h File Reference
`#include "itkMultiResolutionImageRegistrationMethod2.h"`
`#include "itkCombinationImageToImageMetric.h"`
`#include <vector>`
`#include "itkMultiMetricMultiResolutionImageRegistrationMethod.hxx"`
Include dependency graph for itkMultiMetricMultiResolutionImageRegistrationMethod.h:

Go to the source code of this file.

## Data Structures

class | itk::MultiMetricMultiResolutionImageRegistrationMethod< TFixedImage, TMovingImage >

## Namespaces

namespace | itk

## Macros

#define | elxOverrideSimpleSetMacro(_name, _type)
#define | itkGetNumberOfMacro(_name)
#define | itkSetNumberOfMacro(_name)

## Macro Definition Documentation

## elxOverrideSimpleSetMacro

#define elxOverrideSimpleSetMacro | ( |  | _name,
|  |  | _type )

Value:
void Set##_name(_type _arg) override { this->Set##_name(_arg, 0); }

defines a method that calls the same method with an extra 0 argument

Definition at line 27 of file itkMultiMetricMultiResolutionImageRegistrationMethod.h.

## itkGetNumberOfMacro

#define itkGetNumberOfMacro | ( |  | _name | ) |

Value:
virtual unsigned int GetNumberOf##_name##s() const { return this->m_##_name##s.size(); }

defines for example: GetNumberOfInterpolators()

Definition at line 42 of file itkMultiMetricMultiResolutionImageRegistrationMethod.h.

## itkSetNumberOfMacro

#define itkSetNumberOfMacro | ( |  | _name | ) |

Value:
virtual void SetNumberOf##_name##s(unsigned int _arg) \
{ \
if (this->m_##_name##s.size() != _arg) \
{ \
this->m_##_name##s.resize(_arg); \
this->Modified(); \
} \
}

defines for example: SetNumberOfInterpolators()

Definition at line 31 of file itkMultiMetricMultiResolutionImageRegistrationMethod.h.

Generated on 1768596610 for elastix by 1.15.0 |